DutchAnalyzer (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.nl.DutchAnalyzer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.nl
Class DutchAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.nl.DutchAnalyzer

    public class DutchAnalyzer

extends Analyzer

Analyzer for Dutch language. Supports an external list of stopwords (words that will not be indexed at all), an external list of exclusions (word that will not be stemmed, but indexed) and an external list of word-stem pairs that overrule the algorithm (dictionary stemming). A default set of stopwords is used unless an alternative list is specified, the exclusion list is empty by default.

Field Summary
`static String[]` | `DUTCH_STOP_WORDS` List of typical Dutch stopwords.

Constructor Summary
`DutchAnalyzer()` Builds an analyzer with the default stop words (`DUTCH_STOP_WORDS`) and a few default entries for the stem exclusion table.
`DutchAnalyzer(File stopwords)` Builds an analyzer with the given stop words.
`DutchAnalyzer(HashSet stopwords)` Builds an analyzer with the given stop words.
`DutchAnalyzer(String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`void` | `setStemDictionary(File stemdictFile)` Reads a stemdictionary file , that overrules the stemming algorithm This is a textfile that contains per line `word\tstem`, i.e: two tab seperated words
`void` | `setStemExclusionTable(File exclusionlist)` Builds an exclusionlist from the words contained in the given file.
`void` | `setStemExclusionTable(HashSet exclusionlist)` Builds an exclusionlist from a Hashtable.
`void` | `setStemExclusionTable(String[] exclusionlist)` Builds an exclusionlist from an array of Strings.
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided TextReader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DUTCH_STOP_WORDS

    public static final String[] DUTCH_STOP_WORDS

  List of typical Dutch stopwords.

Constructor Detail

### DutchAnalyzer

    public DutchAnalyzer()

  Builds an analyzer with the default stop words (`DUTCH_STOP_WORDS`) and a few default entries for the stem exclusion table.

### DutchAnalyzer

    public DutchAnalyzer(String[] stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(HashSet stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

### DutchAnalyzer

    public DutchAnalyzer(File stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `stopwords` -

Method Detail

### setStemExclusionTable

    public void setStemExclusionTable(String[] exclusionlist)

  Builds an exclusionlist from an array of Strings.

  Parameters:
    `exclusionlist` -

### setStemExclusionTable

    public void setStemExclusionTable(HashSet exclusionlist)

  Builds an exclusionlist from a Hashtable.

### setStemExclusionTable

    public void setStemExclusionTable(File exclusionlist)

  Builds an exclusionlist from the words contained in the given file.

### setStemDictionary

    public void setStemDictionary(File stemdictFile)

  Reads a stemdictionary file , that overrules the stemming algorithm This is a textfile that contains per line `word\tstem`, i.e: two tab seperated words

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided TextReader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a StandardTokenizer filtered with StandardFilter, StopFilter, DutchStemFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.